<template>
  <div>
    <v-icon class="pa-0" size="small" left>
      mdi-{{ icon }}
    </v-icon>
    <span class="base-chip__label">
        {{ title }}:
      </span>
    <NuxtLink v-if="link" :to="link">{{ item }}</NuxtLink>
    <span v-else>{{ item }}</span>
  </div>
</template>

<script>

export default {
  name: "BaseChip",
  props: {
    item: {
      type: String,
      default: null
    },
    title: {
      type: String,
      default: null
    },
    icon: {
      type: String,
      default: null
    },
    link: {
      type: String,
      default: null
    }
  },

}
</script>

<style lang="scss" scoped>
.base-chip {
  height: 20px;

  &__label {
    font-weight: bold;
    padding-right: 2px;
  }
}

</style>
